import {get,post} from './index'

/**
 * 登录 （ETA1.4后弃用）
 * @param Username
 * @param Password
 * @param IsRemember
 */
export function apiLogin(params){
    return post('/sysuser/login',params)
}

/**
 * 菜单
 */
export function apiMenuList(params){
    return get('/system/menu/list',params)
}

export const _apiLogin = {
    /**
     * 获取图形验证码，返回base64格式图片
     * @returns 
     */
    apiGetPicCode:(params)=>{
        return get('/user_login/get_captcha',params)
    },
    /**
     * 获取短信/邮箱验证码
     * @param {Number} VerifyType 验证方式: 1-手机号; 2-邮箱
     * @param {String} CaptchaId 图形验证码ID
     * @param {String} CaptchaCode 图形验证码的值
     * @param {String} Mobile 手机号 验证方式为1时必填
     * @param {String} Email 邮箱 验证方式为2时必填
     * @param {String} TelAreaCode 手机区号
     * @param {Number} Source 来源：1-登录；3-忘记密码
     * @returns 
     */
    apiGetVerifyCode:(params)=>{
        return post('/user_login/verify_code',params)
    },
    /**
     * ETA1.4后，用户登录
     * @param {Number} LoginType 登录方式: 1-账号; 2-手机号; 3-邮箱
     * @param {String} Username 用户名
     * @param {String} Password 密码
     * @param {String} Mobile 手机号
     * @param {String} Email 邮箱
     * @param {String} VerifyCode 手机号/邮箱的验证码
     * @returns 
     */
    apiUserLogin:(params)=>{
        return post('/user_login/login',params)
    },
    /**
     * 忘记密码账号校验，获取账号信息
     * @param {String} CaptchaId 图形验证码ID
     * @param {String} CaptchaCode 图形验证码
     * @param {String} UserName 账号
     * @returns 
    */
    apiAccountCheck:(params)=>{
        return post('/user_login/forget/account_get',params)
    },
    /**
     * 忘记密码-手机/邮箱的验证码校验
     * @param {Number} FindType 密码找回方式：1-手机号；2-邮箱
     * @param {String} VerifyCode 验证码
     * @param {String} UserName 用户名
     * @param {String} Mobile 找回方式为手机号时必填
     * @param {String} Email 找回方式为邮箱时必填
     * @returns 
     */
    apiCheckCodeVerify:(params)=>{
        return post('/user_login/forget/code_verify',params)
    },
    /**
     * 忘记密码-重置密码
     * @param {String} UserName 
     * @param {String} Password 
     * @param {String} RePassword 
     * @returns 
     */
    resetPass:(params)=>{
        return post('/user_login/forget/reset_pass',params)
    },
    /**
     * 获取手机号区号
     * @returns 
     */
    getPhoneAreaCode:(params)=>{
        return get('/user_login/area_code/list',params)
    },

    /**
     * 校验用户是否为域用户登录
     */
    checkUserIsLdap:params=>{
        return post('/user_login/ldap/user_check',params)
    },
    /**
     * 获取备案信息
     * @returns 
    */
    getICPLicense:(params)=>{
        return get('/user_login/icp_license',params)
    },
    /**
     * 获取配置信息
     * @returns 
    */
    getBaseInfo:(params)=>{
        return get('/user_login/base_info',params)
    },
}


